﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data.SqlClient;
using System.Configuration;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == "DownloadPhoto")
        {
            GridDataItem item = e.Item as GridDataItem;

            string customerID = item.GetDataKeyValue("CustomerID").ToString();
            string fileName = item.GetDataKeyValue("ContactName").ToString().Replace(' ', '_') + ".jpg";

            byte[] data = GetCustomerPhoto(customerID);

            Response.Clear();
            Response.ContentType = "application/octet-stream";
            Response.AddHeader("content-disposition", "attachment; filename=" + fileName);
            Response.BinaryWrite(data);
            Response.End();
        }
    }

    private byte[] GetCustomerPhoto(string customerId)
    {
        SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["TelerikConnectionString"].ConnectionString);
        SqlCommand comm = new SqlCommand("SELECT Photo FROM CustomerPhotos WHERE CustomerID = @CustomerID", conn);
        comm.Parameters.Add(new SqlParameter("@CustomerID", customerId));

        conn.Open();
        object data = comm.ExecuteScalar();
        conn.Close();

        return (byte[])data;
    }
}
